/* ---------------------projects---------------------- */

#slider-container {
    position: relative;
    width: 100%;
    margin: auto;
    overflow: hidden;
}

.slide img{
    width: 100%;
    height: 70vh;
}

.slide {
    display: none;
    width: 100%;
    text-align: center;
    color: #fff;
}

.slide h2 {
    font-size: 36px;
    margin: 0;
}
/* .prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    
  }
*/

  
.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 24px;
    cursor: pointer;
    background: none;
    border: none;
    color: #fff;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    /* font-size: 18px; */
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

  /* Position the "next button" to the right */
  .next {
    right: 0;
    border-radius: 3px 0 0 3px;
  }
  
  /* On hover, add a black background color with a little bit see-through */
  .prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
  }

/* Add styles for responsive design as needed */

#projects {
    background-color: #f8f9fa;
    padding: 80px 0;
}

.container1 {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container1 h2 {
    text-align: center;
}

.project-list {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-top: 30px; /* Adjusted margin for smaller screens */
}

.project {
    width: calc(33.33% - 20px);
    margin-bottom: 40px;
    padding: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
}

@media screen and (max-width: 1200px) {
    .project {
        width: calc(50% - 20px);
    }
}

@media screen and (max-width: 768px) {
    .project {
        width: calc(100% - 20px);
    }
}

.project:hover {
    transform: translateY(-10px);
}

h3 {
    margin-top: 0;
}

.project a {
    display: inline-block;
    margin-top: 20px;
    background-color: #007bff;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    transition: background-color 0.3s ease-in-out;
}

.project a:hover {
    background-color: #0056b3;
}

.project h3 {
    color: crimson;
    font-style: italic;
    font-weight: 900;
    font-family: revert;
}
